require('dotenv').config();

const api = require('./api');
const matrixBot = require('./matrix-bot');
const topics = require('./topics');

const {
  ENABLE_API,
  ENABLE_MATRIX,
} = process.env;

if (ENABLE_API !== 'false') {
  api.start();
}

if (ENABLE_MATRIX !== 'false') {
  matrixBot.start();
}

topics.start();
